%define	name	netpanzer
%define	version	0.1.4
%define	dver	0.1.3
%define release	2mdk
%define	Summary	An online multiplayer tactical warfare game

Name:		%{name}
Version:	%{version}
Release:	%{release}
URL:		http://netpanzer.berlios.de/
Source0:	http://download.berlios.de/netpanzer/%{name}-%{version}.tar.bz2
Source1:	http://download.berlios.de/netpanzer/%{name}data-%{dver}.tar.bz2
Source10:	%{name}-16x16.png
Source11:	%{name}-32x32.png
Source12:	%{name}-48x48.png
License:	GPL
Group:		Games/Strategy
Summary:	%{Summary}
BuildRequires:	SDL_net-devel SDL_mixer-devel SDL_image-devel SDL_ttf-devel
BuildRequires:	boost-jam libwxgtk-devel physfs-devel libxml2-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
netPanzer is an online multiplayer tactical warfare game designed for
play across the Internet and over LAN systems. One on one games are
possible via direct connect or modem. netPanzer is designed for FAST
ACTION combat -- it is not another resource management clone. In fact,
there aren't any resources at all. Each player will have many units of
different types at their disposal. Players can fight until their units
are destroyed -- then respawn and keep on going. The game is real-time,
but it's based on quick tactical action and unit management. Battles
progress quickly and constantly; in fact, they never let up. There is no
stop in the action because there is no waiting for resources to be
collected and converted into weaponry. Players can join or leave
multiplayer games at any time.

%prep
%setup -q -a1

%build
CXXFLAGS="$RPM_OPT_FLAGS -O3" \
%configure	--datadir=%{_gamesdatadir} \
		--bindir=%{_gamesbindir}
perl -pi -e "s#-g3##g" Jamrules
jam -d2 %_smp_mflags
cd %{name}data-%{dver}
%configure	--datadir=%{_gamesdatadir} \
		--bindir=%{_gamesbindir}
cd -

%install
%{__rm} -rf $RPM_BUILD_ROOT
jam -s libdir=$RPM_BUILD_ROOT%{_libdir} -s bindir=$RPM_BUILD_ROOT%{_gamesbindir} -s mandir=$RPM_BUILD_ROOT%{_mandir} install

cd %{name}data-%{dver}
jam -s datadir=$RPM_BUILD_ROOT%{_gamesdatadir} install

%{__install} -d $RPM_BUILD_ROOT%{_menudir}
%{__cat} <<EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}):command="%{_gamesbindir}/%{name}" \
		icon=%{name}.png \
		needs="x11" \
		section="Amusement/Strategy" \
		title="netPanzer"\
		longtitle="%{Summary}"
EOF

%{__install} %{SOURCE10} -D $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
%{__install} %{SOURCE11} -D $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
%{__install} %{SOURCE12} -D $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

%post
%update_menus

%postun
%clean_menus

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,games,755)
%doc README
%{_gamesdatadir}/%{name}
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_menudir}/%{name}
%defattr(755,root,games,755)
%{_gamesbindir}/*

%changelog
* Tue Mar 02 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.1.4-2mdk
- buildrequires
- do parallel build

* Fri Feb 27 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.1.4-1mdk
- 0.1.4

* Thu Jan  8 2004 Olivier Blin <blino@mandrake.org> 0.1.3-2mdk
- BuildRequires (clean, libxml2-devel)

* Tue Jan 06 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.1.3-1mdk
- 0.1.3

* Wed Nov 12 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.1.2-1mdk
- 0.1.2

* Thu Oct 16 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.1.1-1mdk
- initial mdk release
